package com.ruoyi.platform.domain;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.io.Serializable;

/**
 * (ComputingResource)实体类
 *
 * @author Xidaray
 * @since 2023-11-29 14:23:01
 */
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class ComputingResource implements Serializable {
    private static final long serialVersionUID = -42500298368776666L;
/**
     * 主键
     */
@ApiModelProperty(value = "编号", notes = "唯一标识符")
private Integer id;

    @ApiModelProperty("计算资源的描述")
    private String computingResource;

    @ApiModelProperty("计算资源的规格说明")
    private String standard;

    @ApiModelProperty("资源的详细描述")
    private String description;

    @ApiModelProperty(value = "创建者的用户名", example = "admin")
    private String createBy;

    @ApiModelProperty(value = "资源的创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新者")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "状态标识", notes = "0表示失效，1表示生效")
    private Integer state;

    @ApiModelProperty(value = "占用情况(1-占用，0-未占用)")
    private Integer usedState;

    @ApiModelProperty(value = "节点")
    private String node;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getComputingResource() {
        return computingResource;
    }

    public void setComputingResource(String computingResource) {
        this.computingResource = computingResource;
    }



    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getUsedState() {
        return usedState;
    }

    public void setUsedState(Integer usedState) {
        this.usedState = usedState;
    }

    public String getNode() {
        return node;
    }

    public void setNode(String node) {
        this.node = node;
    }
}

